# WARNING: This package is synced with FC
%global major 0
%define libname %mklibname revenge %{apiversion} %{major}
%define devname %mklibname -d revenge %{apiversion}
%global apiversion 0.0

Name: librevenge
Version: 0.0.4
Release: %mkrel 5
Summary: A base library for writing document import filters
Group: System/Libraries

# src/lib/RVNGOLEStream.{h,cpp} are BSD
License: (LGPLv2+ or MPLv2.0) and BSD
URL: http://sourceforge.net/p/libwpd/wiki/librevenge/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: doxygen
BuildRequires: pkgconfig(cppunit)
BuildRequires: pkgconfig(zlib)

%description
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %{libname}
Summary: Base library for writing document import filters
Group: System/Libraries
Obsoletes: %{_lib}revenge0 < 0.0.4-3

%description -n %{libname}
%{name} is a base library for writing document import filters. It has
interfaces for text documents, vector graphics, spreadsheets and
presentations.

%package -n %{devname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}revenge-devel < 0.0.4-3

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group: Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%if ! 0%{?flatpak}
%package gdb
Summary: gdb pretty printers for %{name}
Requires: gdb
Requires: python3-six
Requires: %{libname} = %{version}-%{release}

%description gdb
The %{name}-gdb package contains gdb pretty printers that help with
debugging applications that use %{name}.
%endif

%prep
%autosetup -p1

%build
%configure \
    --disable-silent-rules \
    --disable-static \
    --disable-werror \
%if ! 0%{?flatpak}
    --enable-pretty-printers
%endif

sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}


%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
%__make check

%files -n %{libname}
%license COPYING.*
%doc README NEWS
%{_libdir}/%{name}-%{apiversion}.so.*
%{_libdir}/%{name}-generators-%{apiversion}.so.*
%{_libdir}/%{name}-stream-%{apiversion}.so.*

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/%{name}-generators-%{apiversion}.so
%{_libdir}/%{name}-stream-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-generators-%{apiversion}.pc
%{_libdir}/pkgconfig/%{name}-stream-%{apiversion}.pc

%files doc
%license COPYING.*
%doc docs/doxygen/html

%if ! 0%{?flatpak}
%files gdb
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-%{apiversion}.py*
%{_datadir}/gdb/auto-load%{_libdir}/%{name}-stream-%{apiversion}.py*
%{_datadir}/gdb/auto-load%{_libdir}/__pycache__/
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%endif


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.0.4-5.mga8
+ Revision: 1515121
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
+ tv <tv>
- Disable gdb pretty printers when building for flatpak

* Sun Sep 23 2018 umeabot <umeabot> 0.0.4-4.mga7
+ Revision: 1299129
- Mageia 7 Mass Rebuild

* Thu Dec 01 2016 wally <wally> 0.0.4-3.mga6
+ Revision: 1071489
- fix lib and devel pkg names

* Mon Sep 19 2016 tv <tv> 0.0.4-2.mga6
+ Revision: 1054199
- use %%license

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.0.4-1.mga6
+ Revision: 927168
- 0.0.4

* Sat Jan 02 2016 luigiwalser <luigiwalser> 0.0.3-3.mga6
+ Revision: 918163
- fix requires for gdb subpackage

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.0.3-2.mga6
+ Revision: 917787
- add patch to fix import statement in gdb pretty-printer (from fedora)

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0.0.3-1.mga6
+ Revision: 917786
- 0.0.3
- add subpackage for gdb pretty-printers (fedora)

* Fri Dec 25 2015 tv <tv> 0.0.2-5.mga6
+ Revision: 914716
- rebuild for new boost 1.60

* Fri Sep 25 2015 tv <tv> 0.0.2-4.mga6
+ Revision: 883497
- rebuild for new boost
- fix build with boost 1.59

* Wed Aug 26 2015 tv <tv> 0.0.2-3.mga6
+ Revision: 869860
- rebuild with gcc5

* Sun Feb 01 2015 tv <tv> 0.0.2-2.mga5
+ Revision: 812969
- submit to core/release

* Sat Jan 31 2015 tv <tv> 0.0.2-1.mga5
+ Revision: 812825
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.0.1-4.mga5
+ Revision: 738871
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 0.0.1-2.mga5
+ Revision: 658488
- fix group
- imported package librevenge


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jun 03 2014 David Tardon <dtardon@redhat.com> - 0.0.1-1
- new upstream release

* Tue May 27 2014 David Tardon <dtardon@redhat.com> - 0.0.0-2
- remove extra dirs from filelist

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.0.0-1
- initial import
